function [ A,QR,x,b,b_hat ] = genRandLSQExample(m,n,r,path)

A=rand(m,n);
b=rand(m,r);
[QR,x,b_hat]=solveLSQ(A,b);

exmplName='randLSQExample';
AName=sprintf('%s_A',exmplName);
QRName=sprintf('%s_QR',exmplName);
xName=sprintf('%s_coef',exmplName);
bName=sprintf('%s_b',exmplName);
b_hatName=sprintf('%s_bHat',exmplName);

fprintMatrix(A,AName,path);
fprintMatrix(QR,QRName,path);
fprintMatrix(x,xName,path);
fprintMatrix(b,bName,path);
fprintMatrix(b_hat,b_hatName,path);

